## WebKitDOMHistory

WebKitDOMHistory

## Functions

void | webkit_dom_history_back ()
void | webkit_dom_history_forward ()
void | webkit_dom_history_go ()
gulong | webkit_dom_history_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMHistory

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMHistory

## Description

## Functions

### webkit_dom_history_back ()

    void
    webkit_dom_history_back (WebKitDOMHistory *self);

#### Parameters

self | A WebKitDOMHistory |

### webkit_dom_history_forward ()

    void
    webkit_dom_history_forward (WebKitDOMHistory *self);

#### Parameters

self | A WebKitDOMHistory |

### webkit_dom_history_go ()

    void
    webkit_dom_history_go (WebKitDOMHistory *self,
                           glong distance);

#### Parameters

self | A WebKitDOMHistory |
distance | A glong |

### webkit_dom_history_get_length ()

    gulong
    webkit_dom_history_get_length (WebKitDOMHistory *self);

#### Parameters

self | A WebKitDOMHistory |

#### Returns

A gulong

## Types and Values

### WebKitDOMHistory

    typedef struct _WebKitDOMHistory WebKitDOMHistory;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong History:length.

Flags: Read